: Class AuctionHtmlGen

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class AuctionHtmlGen

    java.lang.Object
      |
      +--AuctionHtmlGen

public class AuctionHtmlGen
extends java.lang.Object

Method Summary
`java.lang.String` | `addDateSelect(java.lang.String prefix)`
`void` | `addFormFooter(java.io.PrintWriter out, boolean js)`
`void` | `addFormHeader(java.io.PrintWriter out, java.lang.String submitURL, java.lang.String method)`
`void` | `addFormTable(java.io.PrintWriter out, java.util.Vector v, java.util.Vector vtype, int border, java.lang.String formTitle)`
`void` | `addGeneralMsg(java.io.PrintWriter out, java.lang.String msg, java.lang.String msgColor, java.lang.String msgSize)`
`void` | `addHtmlFooter(java.io.PrintWriter out)`
`void` | `addHtmlHeader(java.io.PrintWriter out, java.lang.String title, java.lang.String bgColor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addHtmlHeader

    public void addHtmlHeader(java.io.PrintWriter out,
                              java.lang.String title,
                              java.lang.String bgColor)

### addGeneralMsg

    public void addGeneralMsg(java.io.PrintWriter out,
                              java.lang.String msg,
                              java.lang.String msgColor,
                              java.lang.String msgSize)

### addFormHeader

    public void addFormHeader(java.io.PrintWriter out,
                              java.lang.String submitURL,
                              java.lang.String method)

### addFormTable

    public void addFormTable(java.io.PrintWriter out,
                             java.util.Vector v,
                             java.util.Vector vtype,
                             int border,
                             java.lang.String formTitle)

### addFormFooter

    public void addFormFooter(java.io.PrintWriter out,
                              boolean js)

### addHtmlFooter

    public void addHtmlFooter(java.io.PrintWriter out)

### addDateSelect

    public java.lang.String addDateSelect(java.lang.String prefix)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD